"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DynamicDatasourceComponent = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const rest_1 = require("@loopback/rest");
const loopback4_dynamic_datasource_1 = require("loopback4-dynamic-datasource");
const bearer_verifier_1 = require("../bearer-verifier");
const keys_1 = require("./keys");
const middlewares_1 = require("./middlewares");
const providers_1 = require("./providers");
const services_1 = require("./services");
let DynamicDatasourceComponent = class DynamicDatasourceComponent {
    constructor(application) {
        this.application = application;
        this.bindings = [];
        this.providers = {};
        this.application.component(bearer_verifier_1.BearerVerifierComponent);
        this.application.component(loopback4_dynamic_datasource_1.Loopback4DynamicDatasourceComponent);
        this.bindings.push((0, rest_1.createMiddlewareBinding)(middlewares_1.DynamicDatasourceMiddlewareProvider));
        //Bind Providers
        this.providers[loopback4_dynamic_datasource_1.DynamicDatasourceBindings.DATASOURCE_PROVIDER.key] =
            providers_1.DatasourceProvider;
        this.providers[loopback4_dynamic_datasource_1.DynamicDatasourceBindings.DATASOURCE_IDENTIFIER_PROVIDER.key] = providers_1.DatasourceIdentifierProvider;
        this.providers[keys_1.DynamicDataSourceBinding.DATA_SOURCE_CONFIG_PROVIDER.key] =
            providers_1.DataSourceConfigProvider;
        this.services = [services_1.AwsSsmHelperService];
    }
};
exports.DynamicDatasourceComponent = DynamicDatasourceComponent;
exports.DynamicDatasourceComponent = DynamicDatasourceComponent = tslib_1.__decorate([
    tslib_1.__param(0, (0, core_1.inject)(core_1.CoreBindings.APPLICATION_INSTANCE)),
    tslib_1.__metadata("design:paramtypes", [rest_1.RestApplication])
], DynamicDatasourceComponent);
//# sourceMappingURL=component.js.map