"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DynamicDatasourceMiddlewareProvider = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const rest_1 = require("@loopback/rest");
const loopback4_dynamic_datasource_1 = require("loopback4-dynamic-datasource");
const enums_1 = require("../../../enums");
let DynamicDatasourceMiddlewareProvider = class DynamicDatasourceMiddlewareProvider {
    constructor(setupDatasource) {
        this.setupDatasource = setupDatasource;
    }
    value() {
        return async (ctx, next) => {
            await this.setupDatasource(ctx);
            return next();
        };
    }
};
exports.DynamicDatasourceMiddlewareProvider = DynamicDatasourceMiddlewareProvider;
exports.DynamicDatasourceMiddlewareProvider = DynamicDatasourceMiddlewareProvider = tslib_1.__decorate([
    (0, core_1.injectable)((0, rest_1.asMiddleware)({
        chain: enums_1.MiddlewareChain.PRE_INVOKE,
        group: enums_1.MIddlewareGroup.DYNAMIC_DATASOURCE,
    })),
    tslib_1.__param(0, (0, core_1.inject)(loopback4_dynamic_datasource_1.DynamicDatasourceBindings.DYNAMIC_DATASOURCE_ACTION)),
    tslib_1.__metadata("design:paramtypes", [Function])
], DynamicDatasourceMiddlewareProvider);
//# sourceMappingURL=dynamic-datasource.middleware.js.map