import { Provider, ValueOrPromise } from '@loopback/context';
import { AwsSsmHelperService } from '../services';
import { DataSourceConfigProviderFn } from '../types';
/**
 * A default implementation using SSM as the config provider is used
 * Can be overriden by implementing a provider for DataSourceConfigProviderFn
 * and binding it to DynamicDataSourceBinding.DATA_SOURCE_CONFIG_PROVIDER key
 */
export declare class DataSourceConfigProvider implements Provider<DataSourceConfigProviderFn> {
    awsSsmHelper: AwsSsmHelperService;
    constructor(awsSsmHelper: AwsSsmHelperService);
    value(): ValueOrPromise<DataSourceConfigProviderFn>;
}
