"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DatasourceIdentifierProvider = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const loopback4_authentication_1 = require("loopback4-authentication");
/**
 * This provider gives the identifier that can be used to
 * identify which datasource config is to be used.
 */
let DatasourceIdentifierProvider = class DatasourceIdentifierProvider {
    constructor(user) {
        this.user = user;
    }
    value() {
        return async (requestCtx) => {
            var _a;
            if ((_a = this.user) === null || _a === void 0 ? void 0 : _a.tenantId) {
                return {
                    id: this.user.tenantId,
                };
            }
            return null;
        };
    }
};
exports.DatasourceIdentifierProvider = DatasourceIdentifierProvider;
exports.DatasourceIdentifierProvider = DatasourceIdentifierProvider = tslib_1.__decorate([
    tslib_1.__param(0, (0, core_1.inject)(loopback4_authentication_1.AuthenticationBindings.CURRENT_USER)),
    tslib_1.__metadata("design:paramtypes", [Object])
], DatasourceIdentifierProvider);
//# sourceMappingURL=datasource-identifier.provider.js.map