"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AwsSsmHelperService = void 0;
const tslib_1 = require("tslib");
const core_1 = require("@loopback/core");
const AWS = tslib_1.__importStar(require("aws-sdk"));
let AwsSsmHelperService = class AwsSsmHelperService {
    /**
     *
     * @param ssmKeyParamName string (the key) for which value to be fetched from AWS ssm
     * @returns SSM Paramter Value
     */
    async getSSMParameterValue(ssmKeyParamName) {
        const ssm = new AWS.SSM({
            accessKeyId: process.env.AWS_ACCESS_ID,
            region: process.env.AWS_REGION,
            secretAccessKey: process.env.AWS_SECRET_KEY,
        });
        return ssm
            .getParameter({
            Name: ssmKeyParamName,
            WithDecryption: true,
        })
            .promise();
    }
};
exports.AwsSsmHelperService = AwsSsmHelperService;
exports.AwsSsmHelperService = AwsSsmHelperService = tslib_1.__decorate([
    (0, core_1.injectable)({ scope: core_1.BindingScope.TRANSIENT })
], AwsSsmHelperService);
//# sourceMappingURL=aws-ssm-helper.service.js.map