/// <reference types="express" />
/// <reference types="cookie-parser" />
import { OperationArgs, Request } from '@loopback/rest';
import { STATUS_CODE } from '../../enums';
/**
 * A function to perform REST req/res logging action
 */
export type LogFn = (req: Request, args: OperationArgs, result: any) => Promise<void>;
export interface LogMessage {
    key?: string;
    message: string;
    level: number;
    timestamp?: Date;
    context?: string;
    statusCode?: STATUS_CODE;
}
