"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.WinstonLoggerBase = void 0;
const keys_1 = require("../keys");
class WinstonLoggerBase {
    log(info) {
        switch (Number(info.level)) {
            case keys_1.LOGGER.LOG_LEVEL.INFO:
                this.info(info.message, info.context, info.statusCode, info.key);
                break;
            case keys_1.LOGGER.LOG_LEVEL.WARN:
                this.warn(info.message, info.context, info.statusCode, info.key);
                break;
            case keys_1.LOGGER.LOG_LEVEL.ERROR:
                this.error(info.message, info.context, info.statusCode, info.key);
                break;
            case keys_1.LOGGER.LOG_LEVEL.DEBUG:
                this.debug(info.message, info.context, info.statusCode, info.key);
                break;
        }
    }
    info(message, context, statusCode, key = 'App_Log') {
        this.logger.info({
            message: `${message}`,
            context: context,
            statusCode: statusCode,
            key: key,
        });
    }
    warn(message, context, statusCode, key = 'App_Log') {
        this.logger.warn({
            message: `${message}`,
            context: context,
            statusCode: statusCode,
            key: key,
        });
    }
    error(message, context, statusCode, key = 'App_Log') {
        this.logger.error({
            message: `${message}`,
            context: context,
            statusCode: statusCode,
            key: key,
        });
    }
    debug(message, context, statusCode, key = 'App_Log') {
        this.logger.debug({
            message: `${message}`,
            context: context,
            statusCode: statusCode,
            key: key,
        });
    }
}
exports.WinstonLoggerBase = WinstonLoggerBase;
//# sourceMappingURL=logger-base.js.map