import { Context } from '@loopback/core';
import { Entity, HasManyDefinition, RelationType } from '@loopback/repository';
import { IRestResolver, ResolvedMap, RestLinkerParams, RestResolverParams } from '../types';
export declare class HasManyRestResolver<T extends Entity, S extends Entity> implements IRestResolver<T, S> {
    private context;
    constructor(context: Context);
    type: RelationType;
    resolve({ relationConfig, relationMetadata, results, scope, token, }: RestResolverParams<T, S> & {
        relationMetadata: HasManyDefinition;
    }): Promise<ResolvedMap<T, S>>;
    private _resolveHasManyThrough;
    private _resolveHasManyOnly;
    link(params: RestLinkerParams<T, S> & {
        relationMetadata: HasManyDefinition;
    }): Promise<T>;
    private addConditionToScope;
    private findRelatedData;
    private toPascalCase;
    private getService;
}
