import { AbstractConstructor } from '../../../mixins/types';
import { EntityWithTenantId, ICrudRepository } from '../types';
/**
 * This function returns a class decorator that adds a tenant guard mixin
 * to the given repository class.
 *
 * @param constructor - The repository class to decorate
 */
export declare function tenantGuard(): <M extends EntityWithTenantId, ID, Relations extends object, S extends AbstractConstructor<ICrudRepository<M, ID, Relations>>>(constructor: S & AbstractConstructor<ICrudRepository<M, ID, Relations>>) => S & AbstractConstructor<ICrudRepository<M, ID, Relations>>;
